
Figure - Bug #117619
[IOVDEV-23224] 【内部】【VC1】【0070】【实车/EE环境】 【HRYTTESTVINMGM325】【副屏遥控器】主
页存在两个页面时，焦点在DOC栏时图 库上，按左键，焦点会直接回到第一页
2023-04-21 11:34 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-04-21

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0070.C101��副屏版本：90 usedebug版本

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: 副屏版本：0094

Reproducibility: Every time Fixed Version: 2023-04-24

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、车机已上电，网络正常

2、车辆处于测试环境

3、主页存在两个页面

【操作手顺】

1、进入副屏遥控器应用，按键页面，副屏焦点位于【图库】上

2、点击左键，查看焦点移动结果

【实际结果】

2、焦点直接跳过第二页，直接回到第一页的图标上

【期望结果】

2、焦点应先回到第二页的图标上

【复归方法】无

【复现率】5/5

测试时间：20230418 17：08

副屏版本：90 usedebug版本

History

#1 - 2023-04-21 14:49 - 物联网测试组_TSCD 王维

- File 飞书20230418-171043.mp4 added

- File 副屏17-08.7z added

- File 主屏logcat.7z added

#2 - 2023-04-21 19:47 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD APP-王宏

Hi,王宏：

  初步分析是launcher适配问题，请帮忙继续分析

#3 - 2023-04-23 09:40 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

#4 - 2023-04-23 15:37 - CD APP-王宏

- % Done changed from 0 to 50
■ Current conclusion

已提交

■ My analysis

根据和需求沟通，在此情况下查找最近的图标即可

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/195605

#5 - 2023-04-23 17:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195605 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Fixed focus issue when leaving hotseatTC-RID: 0301-0205301IssueID: TS-R-BUG-117619Change-Id:

Ieea9d2bd23da330645bd1bdef9cd66f744f3c107

#6 - 2023-04-23 17:26 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_TSCD 王维

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-24

- Root cause set to AOSP问题

#7 - 2023-04-25 14:08 - 物联网测试组_TSCD 王维

- Category changed from CD-APP to 依赖客户及其供应商解决

- Status changed from RESOLVED to NEED_INFO

- Verified Version set to 副屏版本：0094

内部验证通过，待客户验证

#8 - 2023-05-05 11:43 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

客户验证通过

#9 - 2023-05-05 11:43 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#10 - 2023-05-05 11:43 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-23224.pdf 132 KB 2023-04-21 物联网测试组_TSCD 王维

2025-07-04 2/3

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/195605


飞书20230418-171043.mp4 7.12 MB 2023-04-21 物联网测试组_TSCD 王维

副屏17-08.7z 1.86 MB 2023-04-21 物联网测试组_TSCD 王维

主屏logcat.7z 1.52 MB 2023-04-21 物联网测试组_TSCD 王维
